C
C     Uprava fotomerie TESS na magnitudy
C     s vynechanim bodu oznacenych NULL
C     a prevodem na RJD 
C
C     release July 17, 2019
C
C     Zero point adapted to mimics the V magnitude 
C     
C
      IMPLICIT REAL*8 (A-H,O-Z)
      CHARACTER*80 TX
      CHARACTER*12 INP,OUT
      CHARACTER*17 NULL,ZNAK
C
      DATA NULL/'             NULL'/
C
C
      PRINT *,'INPUT FILE?'
      READ(*,'(A)') INP
      PRINT *,'OUTPUT FILE?'
      READ(*,'(A)') OUT
      OPEN(1,FILE=INP,STATUS='OLD')
      OPEN(2,FILE=OUT,STATUS='NEW')
C
C
      READ(1,100) TX
  100 FORMAT(A80)
      WRITE(2,100) TX
    1 READ(1,101,END=2) RJD,ZNAK
  101 FORMAT(20X,A17)
      IF(ZNAK.EQ.NULL) GO TO 1
      BACKSPACE 1
      READ(1,*,END=2) RJD,F,FERR
      RJD=RJD+57000D0
      FM=20.83D0-2.5D0*DLOG10(F)
      FMIN=F-FERR
      FMAX=F+FERR
      F1=20.83D0-2.5D0*DLOG10(FMIN)
      F2=20.83D0-2.5D0*DLOG10(FMAX)
      FME=0.5D0*(F1-F2)
      WRITE(2,201) RJD,FM,FME,F1,F2
  201 FORMAT(F11.5,4F12.5)
      GO TO 1
C
    2 STOP 7
      END
